List Report Schedules
curl --request GET \
--url https://{instance}.domo.com/api/content/v1/reportschedules \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/api/content/v1/reportschedules"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/content/v1/reportschedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123456,
"reportViewId": 789012,
"pageId": 345678,
"title": "Monthly Sales Report",
"viewName": "Sales Dashboard",
"type": "RECURRING",
"ownerId": 901234,
"embedViewId": 567890,
"owner": true,
"cardCount": 5,
"recipientCount": 10,
"cardId": 234567,
"schedule": {
"frequency": "MONTHLY",
"daysToRun": "1",
"hourOfDay": 9,
"minOfHour": 0,
"timezone": "America/New_York",
"enabled": true
}
}
]Scheduled Reports API
List Report Schedules
GET
/
api
/
content
/
v1
/
reportschedules
List Report Schedules
Authorizations
Query Parameters
Filter type for the schedules
Filter by title
Number of items to return
Number of items to skip
Field to sort by
Available options:
startDate, nextRunDate, title Sort in ascending order
⌘I